Subject: Re: This list is now also archived on lore.kernel.org/git

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 27 Nov 2019 16:31:51 +0100

On Wed, Nov 20 2019, Eric Wong wrote:

> Konstantin Ryabitsev <[email-masked]> wrote:
>> Hi, all:
>>
>> I used Eric's public-inbox.org archives to set up our own copy on
>> lore.kernel.org and identical list archives are now available on that
>> server.
>
> Almost :)  I forget it exists, but there's the "gmane:$ARTICLE_NUM"
> altid mapping search support on my server for legacy gmane URLs.
>
> Instructions to set it up:
> https://public-inbox.org/meta/[email-masked]/
>
>> I spoke with Eric and he recommends that official project documentation
>> starts using lore.kernel.org/git URLs in daily use and git's official
>> documentation in order to allow him more freedom of decision when it
>> comes to hosting his equipment. The URLs at both domains remain the
>> same, e.g.:
>
> Yup,  .org TLD renewal costs will likely go up and I won't pay
> higher costs to keep .org domains.
>
> The system running public-inbox.org (and the recommended
> onions(*)) will stay running and will have bleeding edge
> code on it.
>
>
> * Accessible via Tor, no need to depend on registrars:
>   http://hjrcffqmbrq6wope.onion/
>   http://ou63pmih66umazou.onion/
>   http://czquwvybam4bgbro.onion/

I think it would make sense for the Git SFC arm of things[1] to consider
taking over the public-inbox.org domain rather than letting it expire
(of course contingent on your approval) and turning it into a CNAME (or
other redirect) for lore.kernel.org.

We have a lot of mailing list and some (~130 commits) git.git commit
references to that domain. It seems like a worthwhile expense to me to
pay for the renewal of it rather than having it turn into e.g. some spam
landing page as the registration expires.

1. Disclaimer: I'm one of the people who'd vote on making that decision
   if it came to that, but this E-Mail is, as they say, just like, my
   opinion, man :)